diff --git a/bin/test_static_page.sh b/bin/test_static_page.sh
new file mode 100644
index 0000000..14f4c97
--- /dev/null
+++ b/bin/test_static_page.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+PORT=8080
+python3 -m http.server $PORT --directory public/ &
+
+SERVER_PID=$!
+
+# Give it a moment to start
+sleep 2
+
+# Check if the server is running
+if ! ps -p $SERVER_PID > /dev/null; then
+    echo "HTTP server failed to start."
+    exit 1
+fi
+
+# Check HTTP status
+status_code=$(curl -o /dev/null -s -w "%{http_code}" http://localhost:$PORT)
+
+# Kill the http server
+kill $SERVER_PID
+
+# Check if status code is 200
+if [ "$status_code" -ne 200 ]; then
+    echo "Website returned a non-200 status code: $status_code"
+    exit 1
+fi
\ No newline at end of file